Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.model.preview.common
Class Preview

    java.lang.Object
      org.eclipse.emf.ecp.view.model.preview.common.Preview

    public class Preview

extends Object

This class renders the contents of a `VView` in a `Composite`.

Constructor Summary
`Preview(org.eclipse.swt.widgets.Composite parent)` The constructor.

Method Summary
`void` | `cleanSampleData()`
`void` | `clear()` Removes the previous rendering result from the parent Composite.
`boolean` | `isUpdateAutomatic()`
`void` | `registerForViewModelChanges()` Adds adapter to listen to changes in the currently cached view model.
`void` | `removeAdapter()`
`void` | `removeView()` Removes the cached view.
`void` | `render(VView view, org.eclipse.emf.ecore.EObject sampleData)` Render the contents of the `VView`.
`void` | `setUpdateAutomatic(boolean canAutomaticallyRender)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Preview

    public Preview(org.eclipse.swt.widgets.Composite parent)

  The constructor.

  Parameters:
    `parent` - - the `Composite` in which to render

Method Detail

### render

    public void render(VView view,
                       org.eclipse.emf.ecore.EObject sampleData)

  Render the contents of the `VView`.

  Parameters:
    `view` - the `VView`
    `sampleData` - the sample data to be displayed in the view

### registerForViewModelChanges

    public void registerForViewModelChanges()

  Adds adapter to listen to changes in the currently cached view model.

### removeAdapter

    public void removeAdapter()

### clear

    public void clear()

  Removes the previous rendering result from the parent Composite.

### removeView

    public void removeView()

  Removes the cached view.

### isUpdateAutomatic

    public boolean isUpdateAutomatic()

  Returns:
    the canAutomaticallyRender

### setUpdateAutomatic

    public void setUpdateAutomatic(boolean canAutomaticallyRender)

  Parameters:
    `canAutomaticallyRender` - the canAutomaticallyRender to set

### cleanSampleData

    public void cleanSampleData()

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.